Bug 894590

Summary: MySQL server won't start after install
Product: [Fedora] Fedora Reporter: Adam Walczak <me>
Component: systemdAssignee: systemd-maint
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: hhorak, johannbg, lnykryn, metherid, mschmidt, msekleta, notting, plautrba, systemd-maint, tgl, vpavlin
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-06 17:39:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Adam Walczak 2013-01-12 14:37:18 UTC
Description of problem:
After installing mysql server.
[root@walec51-linux bin]# service mysqld start
Redirecting to /bin/systemctl start  mysqld.service
Failed to issue method call: Unit mysqld.service is masked.

Version-Release number of selected component (if applicable):
Up to date Fedora 17 64 bit
mysql  Ver 14.14 Distrib 5.5.28, for Linux (x86_64) using readline 5.1

Comment 1 Tom Lane 2013-01-12 17:56:23 UTC
*** Bug 894592 has been marked as a duplicate of this bug. ***

Comment 2 Tom Lane 2013-01-12 17:59:41 UTC
(In reply to comment #0)
> Failed to issue method call: Unit mysqld.service is masked.

That looks like a systemd issue, probably not anything specific to mysql.  Reassigning.

Comment 3 Lennart Poettering 2013-01-13 21:14:46 UTC
You masked mysql, so you get an error when you start it, which is the idea of masking...

Unmask it and you can start it again.

http://0pointer.de/blog/projects/three-levels-of-off.html

Comment 4 Adam Walczak 2013-01-13 23:51:26 UTC
No I never masked it. W didn't even know about masking until now.
Just installed it and tried to run it.

Comment 5 Tom Lane 2013-01-14 00:02:20 UTC
Hm ... is there a masking unit file on your system?  That is, a symlink to /dev/null in /etc/systemd/system/ as described in the blog entry Lennart links to?

Comment 6 Adam Walczak 2013-01-14 00:14:53 UTC
I don't see anything related to mysql there:

[walec51@walec51-linux ~]$ ls -l /etc/systemd/system/
razem 36
drwxr-xr-x. 2 root root 4096 2012-05-22  basic.target.wants
drwxr-xr-x. 2 root root 4096 2012-05-22  bluetooth.target.wants
lrwxrwxrwx. 1 root root   41 2012-05-22  dbus-org.bluez.service -> /usr/lib/systemd/system/bluetooth.service
lrwxrwxrwx. 1 root root   44 2012-05-22  dbus-org.freedesktop.Avahi.service -> /usr/lib/systemd/system/avahi-daemon.service
lrwxrwxrwx. 1 root root   46 2012-05-22  dbus-org.freedesktop.NetworkManager.service -> /usr/lib/systemd/system/NetworkManager.service
lrwxrwxrwx. 1 root root   36 2012-06-24  default.target -> /lib/systemd/system/runlevel5.target
drwxr-xr-x. 2 root root 4096 2012-05-22  default.target.wants
drwxr-xr-x. 2 root root 4096 2012-05-22  getty.target.wants
drwxr-xr-x. 2 root root 4096 2012-06-24  graphical.target.wants
drwxr-xr-x. 2 root root 4096 12-09 02:00 multi-user.target.wants
drwxr-xr-x. 2 root root 4096 2012-05-22  printer.target.wants
drwxr-xr-x. 2 root root 4096 10-30 01:27 sockets.target.wants
drwxr-xr-x. 2 root root 4096 2012-05-22  sysinit.target.wants
lrwxrwxrwx. 1 root root   39 2012-05-22  syslog.service -> /usr/lib/systemd/system/rsyslog.service

Comment 7 Michal Schmidt 2013-01-14 10:21:45 UTC
Please check also /run/systemd/system/

Comment 8 Adam Walczak 2013-01-14 20:42:59 UTC
There is nothing there. In summary:

[root@walec51-linux walec51]# service mysqld start
Redirecting to /bin/systemctl start  mysqld.service
Failed to issue method call: Unit mysqld.service is masked.
[root@walec51-linux walec51]#  ls -l /run/systemd/system/
razem 0
[root@walec51-linux walec51]# ls -l /etc/systemd/system/
razem 36
drwxr-xr-x. 2 root root 4096 2012-05-22  basic.target.wants
drwxr-xr-x. 2 root root 4096 2012-05-22  bluetooth.target.wants
lrwxrwxrwx. 1 root root   41 2012-05-22  dbus-org.bluez.service -> /usr/lib/systemd/system/bluetooth.service
lrwxrwxrwx. 1 root root   44 2012-05-22  dbus-org.freedesktop.Avahi.service -> /usr/lib/systemd/system/avahi-daemon.service
lrwxrwxrwx. 1 root root   46 2012-05-22  dbus-org.freedesktop.NetworkManager.service -> /usr/lib/systemd/system/NetworkManager.service
lrwxrwxrwx. 1 root root   36 2012-06-24  default.target -> /lib/systemd/system/runlevel5.target
drwxr-xr-x. 2 root root 4096 2012-05-22  default.target.wants
drwxr-xr-x. 2 root root 4096 2012-05-22  getty.target.wants
drwxr-xr-x. 2 root root 4096 2012-06-24  graphical.target.wants
drwxr-xr-x. 2 root root 4096 12-09 02:00 multi-user.target.wants
drwxr-xr-x. 2 root root 4096 2012-05-22  printer.target.wants
drwxr-xr-x. 2 root root 4096 10-30 01:27 sockets.target.wants
drwxr-xr-x. 2 root root 4096 2012-05-22  sysinit.target.wants
lrwxrwxrwx. 1 root root   39 2012-05-22  syslog.service -> /usr/lib/systemd/system/rsyslog.service

If links are the only mechanism responsible for masking then this is a bug in the systems tools. Not my setup which is the installs default one btw.

Comment 9 Lennart Poettering 2013-01-15 03:22:32 UTC
What does "systemctl is-enabled mysqld.service" print?

Can you attach the output of "systemctl show mysqld.service" and "systemctl status mysqld.service" please?

Could please attach "ls -l /etc/systemd/systemd/*"? (i.e. I'd like to see the contents of the subdirs, too)

Comment 10 Lennart Poettering 2013-05-06 17:39:20 UTC
CLosed due to lack of response.